/payments/pricing/amberflo/account-pricing/product-item-rewards-rule
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-item-rewards-rule
Body Parameters
- bodypayment.pricing.rewards.ProductItemRewardsRule.in
- idstring
- productItemIdstring
- rewardRulepayment.pricing.rewards.RewardRule.in
- payment.pricing.rewards.ConstantRatioRewardsRule.in
- typestringDefaultConstantRatio
- usagePerBatchnumber
- rewardsBatchSizenumber
- rewardsLimitpayment.pricing.rewards.RewardsLimit.in
- payment.pricing.rewards.RewardsLimitSequence.in
- typestringDefaultRewardsLimitSequence
- rulespayment.pricing.rewards.SimpleRewardsLimit.in[]
- typestringDefaultSimpleRewardsLimit
- maxRewardsnumber
- rewardsPeriodpayment.pricing.rewards.RewardsPeriod.in
- Max depth limit reached
- payment.pricing.rewards.SimpleRewardsLimit.in
- typestringDefaultSimpleRewardsLimit
- maxRewardsnumber
- rewardsPeriodpayment.pricing.rewards.RewardsPeriod.in
- Max depth limit reached
- expiredAfterpayment.pricing.BillingPeriod.in
- intervalpayment.pricing.BillingPeriodInterval.in
- intervalsCountinteger<int32>
- namestring
- descriptionstring
- isDefaultboolean
- lockingStatuscom.amberflo.service.common.LockingStatus.in
- lastUpdateTimeInMillisinteger<int64>
Responses
200
- payment.pricing.rewards.ProductItemRewardsRule.out
- idstring
- productItemIdstring
- rewardRulepayment.pricing.rewards.RewardRule.out
- payment.pricing.rewards.ConstantRatioRewardsRule.out
- typestringDefaultConstantRatio
- usagePerBatchnumber
- rewardsBatchSizenumber
- rewardsLimitpayment.pricing.rewards.RewardsLimit.out
- payment.pricing.rewards.RewardsLimitSequence.out
- typestringDefaultRewardsLimitSequence
- rulespayment.pricing.rewards.SimpleRewardsLimit.out[]
- typestringDefaultSimpleRewardsLimit
- maxRewardsnumber
- rewardsPeriodpayment.pricing.rewards.RewardsPeriod.out
- Max depth limit reached
- payment.pricing.rewards.SimpleRewardsLimit.out
- typestringDefaultSimpleRewardsLimit
- maxRewardsnumber
- rewardsPeriodpayment.pricing.rewards.RewardsPeriod.out
- Max depth limit reached
- expiredAfterpayment.pricing.BillingPeriod.out
- intervalpayment.pricing.BillingPeriodInterval.out
- intervalsCountinteger<int32>
- namestring
- descriptionstring
- isDefaultboolean
- lockingStatuscom.amberflo.service.common.LockingStatus.out
- lastUpdateTimeInMillisinteger<int64>
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-item-rewards-rule \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"rewardRule": {
"type": "ConstantRatio",
"rewardsLimit": {
"type": "RewardsLimitSequence",
"rules": [
{
"type": "SimpleRewardsLimit"
}
]
}
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"rewardRule": {
"type": "ConstantRatio",
"rewardsLimit": {
"type": "RewardsLimitSequence",
"rules": [
{
"type": "SimpleRewardsLimit"
}
]
}
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-item-rewards-rule", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-item-rewards-rule")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"rewardRule": {
"type": "ConstantRatio",
"rewardsLimit": {
"type": "RewardsLimitSequence",
"rules": [
{
"type": "SimpleRewardsLimit"
}
]
}
}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-item-rewards-rule"
payload = json.dumps({
"rewardRule": {
"type": "ConstantRatio",
"rewardsLimit": {
"type": "RewardsLimitSequence",
"rules": [
{
"type": "SimpleRewardsLimit"
}
]
}
}
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"id": "",
"productItemId": "",
"rewardRule": {},
"expiredAfter": {
"interval": "",
"intervalsCount": ""
},
"name": "",
"description": "",
"isDefault": false,
"lockingStatus": "",
"lastUpdateTimeInMillis": ""
}